nodejs version 0.8.x instead of 0.10 on ArchLinux

Right now, I am developing a node application. Since we are using 0.8 and on ArchLinux 0.10 is installed if figured to install nave and n. This is all working fine, as long as I am not using a binary npm package, like node-expat. To install this, I needed to remove the node_modules folder after the change of the node version, and furthermore I needed to define the python-version. The install of packages is then possible with the following command:


npm install --python=/usr/bin/python2